Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.reporting
[Java] Class ReportContainer.ImmutableViolationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.gradle.api.GradleException
                      org.gradle.api.reporting.ReportContainer.ImmutableViolationException

    public static class ReportContainer.ImmutableViolationException
    extends GradleException

The exception thrown when any of this container's mutation methods are called.

This applies to the standard Collection methods such as `add()`, `remove()` and `clear()`.

Constructor Summary
`ReportContainer.ImmutableViolationException()`

Method Summary

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Constructor Detail

### ReportContainer.ImmutableViolationException

    public ReportContainer.ImmutableViolationException()

Gradle API 1.10